%define bigfov 1

%define name	libpano13
%define version 2.9.19

%define lib_major 3
%define libname %mklibname pano13_ %{lib_major}
%define develname %mklibname -d pano13

Name:		%{name}
Version:	%{version}
Release:	%mkrel 3
Summary:	Panorama Tools library
License:	GPL
Group:		System/Libraries
URL:		http://panotools.sourceforge.net/
Source:		http://downloads.sourceforge.net/panotools/%{name}-%{version}.tar.xz
#-------------------------------
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
#-------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Helmut Dersch's Panorama Tools


%package tools
Summary:	Panorama Tools library
Group:		Graphics

%description tools
Utilies for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libpano0
Obsoletes:	%{_lib}pano13_0 < %{version}-%{release}

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x --enable-shared=yes --enable-static=no --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files tools
%defattr (-,root,root)
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/libpano13.so.*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/pano13
%{_libdir}/libpano13.so
%{_libdir}/pkgconfig/libpano13.pc

%changelog
* Tue Sep 12 2017 bb2 <bb2> - 2.9.19-3pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> - 2.9.19-2pclos2017
- rebuild

